%define oname        %{name}-%{version}-dep

Name:		roundcubemail
Version:	0.9.5
Release:	%mkrel 1
Summary:	A PHP-based webmail server
Group:		System/Servers
License:	GPLv3
# Use the -dep tarballs. These use system copies of the PHP stuff
# rather than including them, which is better for our purposes.
# - AdamW 2007/07
URL:		http://www.roundcube.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{oname}.tar.gz
Epoch:		1
#BuildRequires:	apache-devel pcre-devel rpm-helper
Requires:	apache-mod_php
Requires:	php-gd
Requires:	php-gettext
Requires:	php-iconv
Requires:	php-mbstring
Requires:	php-mcrypt
Requires:	php-openssl
Requires:	php-session
Requires:	php-pdo_mysql
Requires:	php-pear-Auth_SASL
Requires:	php-pear-Mail_Mime
Requires:	php-pear-Net_SMTP
Requires:	php-pear-Net_LDAP2
Requires:	php-pear-MDB2
Requires:	php-pear-Net_IDNA2
# The installer suggests the use of these, but they're not
# required - AdamW 2011/01
Suggests:	php-fileinfo
Suggests:	php-intl
# Most people will probably use mysql, but you can use sqlite or
# pgsql, so not a hard require - AdamW 2008/10
Suggests:	php-pear-MDB2_Driver_mysql
BuildArch:	noarch

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an 
application-like user interface. It provides full functionality you 
expect from an e-mail client, including MIME support, address book, 
folder manipulation, message searching and spell checking.
RoundCube Webmail is written in PHP and requires a database: MariaDB,
PostgreSQL and SQLite are known to work.
The user interface is fully skinnable using XHTML and CSS 2.

%prep
%setup -q -n %{oname}
# tell it that we're moving the configuration files
for i in installer/index.php program/include/iniset.php program/lib/Roundcube/bootstrap.php; do \
	sed -i -e "s,INSTALL_PATH . 'config','%{_sysconfdir}/%{name}',g" $i;
	sed -i -e "s,RCUBE_INSTALL_PATH . 'config','%{_sysconfdir}/%{name}',g" $i;
done
# fixup paths to use the right paths and fix carriage returns
sed -i 's,temp/,%{_tmppath},' config/main.inc.php.dist
sed -i 's,config/,%{_sysconfdir}/%{name}/,' config/main.inc.php.dist
sed -i 's,logs/,%{_logdir}/%{name}/,' config/main.inc.php.dist
sed -i 's/\r//' SQL/mssql.initial.sql

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_logdir}/%{name}
cp -a config/db.inc.php.dist %{buildroot}%{_sysconfdir}/%{name}/db.inc.php
cp -a config/main.inc.php.dist %{buildroot}%{_sysconfdir}/%{name}/main.inc.php
cp -a * %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    AllowOverride All
    <IfModule mod_authz_core.c>
	# Apache 2.4
	<RequireAny>
	    Require all granted
	</RequireAny>
    </IfModule>
	<IfModule !mod_authz_core.c>
	    # Apache 2.2
	    Order allow,deny
	    Allow from all
    </IfModule>
</Directory>

<Directory %{_datadir}/%{name}/SQL>
    AllowOverride All
    <IfModule mod_authz_core.c>
	# Apache 2.4
	<RequireAny>
	    Require all granted
	</RequireAny>
    </IfModule>
	<IfModule !mod_authz_core.c>
	    # Apache 2.2
	    Order allow,deny
	    Allow from all
    </IfModule>
</Directory>

php_value suhosin.session.encrypt Off
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
The setup used here differs from a standard installation in the following
ways:
* Logs are stored to /var/log/roundcubemail
* Temporary files are placed in /tmp
* Configuration files (main.inc.php and db.inc.php) are placed in
  %{_sysconfdir}/roundcubemail

configuration/upgrade
-------
Use the GUI to do the configuration/upgrade:
RoundCube provides an installer which can help you to do all
the installation/upgrade. The feature is disabled by default for
security reasons but you can enable it in 'main.inc.php' by
setting the 'enable_installer' variable to 'true'.
Once done, browse http://server/roundcubemail/installer

Use the CLI to do the configuration/upgrade:
You will need to edit %{_sysconfdir}/roundcubemail/main.inc.php and
%{_sysconfdir}/roundcubemail/db.inc.php appropriately for your site before you
can use Roundcube. You must at least configure an appropriate mail
server and port in main.inc.php, and change the
$rcmail_config['des_key'] setting. In db.inc.php you must configure
an appropriate database location and user; in the most simple
configuration, you would create a new user and database both named
'roundcubemail' on a MySQL server running on the same machine, give
the roundcubemail user full read/write access to the roundcubemail
database, and set db.inc.php appropriately.

Information:
- you can drop all of the tables and use the '*.initial.sql' file
to fully recreate the database.
- If any database change is needed, go to %{_datadir}/roundcubemail/SQL
and use '*.update.sql' where '*' is your database backend type.
EOF

# clean up the buildroot
rm -rf %{buildroot}%{_datadir}/%{name}/{config,logs,temp}
rm -rf %{buildroot}%{_datadir}/%{name}/{CHANGELOG,INSTALL,LICENSE,README,UPGRADING,SQL}

%files
%doc CHANGELOG INSTALL LICENSE README.md SQL UPGRADING
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0740,root,apache)%{_logdir}/%{name}
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/db.inc.php
%attr(0640,root,apache)%config(noreplace) %{_sysconfdir}/%{name}/main.inc.php
%config(noreplace) %{_webappconfdir}/%{name}.conf


%changelog
* Tue Oct 29 2013 oden <oden> 1:0.9.5-1.mga3
+ Revision: 547789
- 0.9.5 (sync with cauldron)
- 0.9.3

* Wed Apr 17 2013 kharec <kharec> 1:0.9.0-1.mga3
+ Revision: 410239
- update to 0.9.0 to close #9768

* Tue Apr 02 2013 dams <dams> 1:0.8.6-1.mga3
+ Revision: 407314
- new version 0.8.6

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-3.mga3
+ Revision: 402221
- corrected spelling of Requires: php-pdo_mysql from php-pdo-mysql

* Wed Mar 13 2013 spuhler <spuhler> 1:0.8.5-2.mga3
+ Revision: 402216
- added Requires: php-pdo-mysql

* Mon Feb 11 2013 dams <dams> 1:0.8.5-1.mga3
+ Revision: 397860
- new version 0.8.5 (CVE-2012-6121)

* Sun Feb 03 2013 spuhler <spuhler> 1:0.8.4-5.mga3
+ Revision: 394179
- corrected the log permission

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-4.mga3
+ Revision: 394143
- changed %%{_logdir}/%%{name} to
  attr(640,root,apache)%%{_logdir}/%%{name}

* Sat Feb 02 2013 spuhler <spuhler> 1:0.8.4-3.mga3
+ Revision: 394137
- converted the Derectory section from
  Order deny,allow
  Deny from all
  to
  AllowOverride All
  Require all granted

* Mon Jan 14 2013 umeabot <umeabot> 1:0.8.4-2.mga3
+ Revision: 380417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 dams <dams> 1:0.8.4-1.mga3
+ Revision: 318208
- new version 0.8.4

* Sun Nov 11 2012 dams <dams> 1:0.8.3-1.mga3
+ Revision: 317048
- new version 0.8.3

* Mon Oct 08 2012 dams <dams> 1:0.8.2-1.mga3
+ Revision: 303592
- new version 0.8.2

* Sun Sep 09 2012 dams <dams> 1:0.8.1-1.mga3
+ Revision: 291171
- new version 0.8.1
- add a patch from fedora to fix php settings
- clean and update specfile

* Thu Apr 05 2012 dams <dams> 1:0.7.2-1.mga2
+ Revision: 228642
- new version 0.7.2

* Thu Apr 05 2012 dams <dams> 1:0.7.1-2.mga2
+ Revision: 228591
- remove 'php-pspell' as a require

  + guillomovitch <guillomovitch>
    - no need to advertise distribution-specific documentation in package description

* Mon Jan 09 2012 dams <dams> 1:0.7.1-1.mga2
+ Revision: 194074
- new version 0.7.1

* Thu Dec 29 2011 guillomovitch <guillomovitch> 1:0.7-3.mga2
+ Revision: 188742
- ensure db configuration file is not world-readable
- don't ship useless file under configuration directory
- use herein document for README.urpmi
- fix some typos in README.urpmi

* Thu Dec 29 2011 dams <dams> 1:0.7-2.mga2
+ Revision: 188735
- Update README.urpmi to warn about 'upgrade' of the database (bug #3862)

* Tue Dec 20 2011 dams <dams> 1:0.7-1.mga2
+ Revision: 184800
- new version 0.7

* Tue Oct 04 2011 dams <dams> 1:0.6-1.mga2
+ Revision: 151509
- update to 0.6

* Wed Sep 14 2011 tv <tv> 1:0.5.4-1.mga2
+ Revision: 143232
- new release

  + dams <dams>
    - Remove link to Mandriva Wiki
    - Clean spec file
    - imported package roundcubemail

